## alpine 2.21+dfsg1

=== imap/Makefile ===
# ========================================================================
# Copyright 2008-2011 Mark Crispin
# ========================================================================
#

# Program:	IMAP Toolkit Makefile
#
# Author:	Mark Crispin
#
# Date:		7 December 1989
# Last Edited:	15 April 2013 (jonabbey@arlut.utexas.edu)
#
# Previous versions of this file were
#
# Copyright 1988-2008 University of Washington
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0


# Normal command to build IMAP toolkit:
#  make <port> [EXTRAAUTHENTICATORS=xxx] [EXTRADRIVERS=xxx] [EXTRACFLAGS=xxx]
#	       [PASSWDTYPE=xxx] [SSLTYPE=xxx] [IP=n]


# Port name.  These refer to the *standard* compiler on the given system.
# This means, for example, that the hpx port is for HP's compiler and not for
# a non-standard compiler such as gcc.
#
# If you are using gcc and it is not the standard compiler on your system, try
# using an ANSI port that is close to what you have.  For example, if your
# system is SVR4ish, try a32 or lnx; if it's more BSDish, try nxt, mct, or bsi.
#
# The following ports are bundled:
# a32	AIX 3.2 for RS/6000
# a41	AIX 4.1 for RS/6000
# a52	AIX 5.2
# aix	AIX/370 (not RS/6000!!)
# ami	AmigaDOS
# am2	AmigaDOS with a 68020+
# ama	AmigaDOS using AS225R2
# amn	AmigaDOS with a 680x0 using "new" socket library
# aos	AOS for RT
# art	AIX 2.2.1 for RT
# asv	Altos SVR4
# aux	A/UX
# bs3	BSD/i386 3.0 and higher
# bsd	generic BSD 4.3 (as in ancient 1980s version)
# bsf	FreeBSD
# bsi	BSD/i386
# bso	OpenBSD (yes, yet another one...)
# cvx	Convex
# cyg	Cygwin
# d-g	Data General DG/UX prior to 5.4 (d41 port no longer exists)
# d54	Data General DG/UX 5.4
# do4	Apollo Domain/OS sr10.4
# dpx	Bull DPX/2 B.O.S.
# drs	ICL DRS/NX
# dyn	Dynix
# epx	EP/IX
# ga4	GCC AIX 4.x for RS/6000
# gas	GCC Altos SVR4
# gcs	GCC Solaris with Blastwave Community Open Source Software
# gh9   GCC HP-UX 9.x
# ghp	GCC HP-UX 10.x
# ghs	GCC HP-UX 10.x with Trusted Computer Base
# go5	GCC 2.7.1 (95q4 from Skunkware _not_ 98q2!) SCO Open Server 5.0.x
# gsc	GCC Santa Cruz Operation
# gsg	GCC SGI
# gso	GCC Solaris
# gsu	GCC SUN-OS
# gul	GCC RISC Ultrix (DEC-5000)
# h11	HP-UX 11i
# hpp	HP-UX 9.x (see gh9)
# hpx	HP-UX 10.x (see ghp, ghs, hxd, and shp)
# hxd	HP-UX 10.x with DCE security (see shp)
# isc	Interactive Systems
# ldb	Debian Linux
# lfd	Fedora Linux
# ln8	Linux for Nokia N800
# lnx	Linux with traditional passwords and crypt() in the C library
#	 (see lnp, sl4, sl5, and slx)
# lnp	Linux with Pluggable Authentication Modules (PAM)
# lmd	Mandrake Linux
# lr5	RedHat Enterprise Linux 5 and later (same as lfd)
# lrh	RedHat Linux 7.2 and later
# lsu	SuSE Linux (same as lrh)
# lyn	LynxOS
# mct	MachTen
# mnt	Atari ST Mint (not MacMint)
# neb	NetBSD
# nec	NEC UX
# nto	QNX Neutrino RTP
# nxt	NEXTSTEP
# nx3	NEXTSTEP 3.x
# osf	OSF/1 (see sos, os4)
# os4	OSF/1 (Digital UNIX) 4
# osi	Apple iPhone and iPod Touch
# osx	Mac OS X
# oxp	Mac OS X with Pluggable Authentication Modules (PAM)
# oxs	Mac OS X Snow Leopard
# ptx	PTX
# pyr	Pyramid
# qnx	QNX 4
# qn6	QNX 6
# s40	SUN-OS 4.0 (*not* Solaris)
# sc5	SCO Open Server 5.0.x (see go5)
# sco	Santa Cruz Operation (see sc5, go5)
# shp	HP-UX with Trusted Computer Base
# sgi	Silicon Graphics IRIX
# sg6	Silicon Graphics IRIX 6.5
# sl4	Linux using -lshadow to get the crypt() function
# sl5	Linux with shadow passwords, no extra libraries
# slx	Linux using -lcrypt to get the crypt() function
# snx	Siemens Nixdorf SININX or Reliant UNIX
# soc	Solaris with /opt/SUNWspro/bin/cc
# sol	Solaris (won't work unless "ucbcc" works -- use gso instead)
# sos	OSF/1 with SecureWare
# ssn	SUN-OS with shadow password security
# sua	Windows Vista (Enterprise or Ultima) Subsystem for Unix Applications
# sun	SUN-OS 4.1 or better (*not* Solaris) (see ssn)
# sv2	SVR2 on AT&T PC-7300 (incomplete port)
# sv4	generic SVR4
# ult	RISC Ultrix (DEC-5000)
# uw2	UnixWare SVR4.2
# vul	VAX Ultrix
# vu2	VAX Ultrix 2.3 (e.g. for VAXstation-2000 or similar old version)


# Extra authenticators (e.g. OTP, Kerberos, etc.).  Adds linkage for
# auth_xxx.c and executes Makefile.xxx, where xxx is the name of the
# authenticator.  Some authenticators are only available from third parties.
#
# The following extra authenticators are bundled:
# gss	Kerberos V

EXTRAAUTHENTICATORS=


# Additional mailbox drivers.  Add linkage for xxxdriver.  Some drivers are
# only available from third parties.
#
# The following extra drivers are bundled:
# mbox	if file "mbox" exists on the home directory, automatically moves mail
#	 from the spool directory to "mbox" and uses "mbox" as INBOX.

EXTRADRIVERS=mbox


# Plaintext password type.  Defines how plaintext password authentication is
# done on this system.
#
# The following plaintext login types are bundled:
# afs	AFS authentication database
# dce	DCE authentication database
# gss	Kerberos V
# nul	plaintext authentication never permitted
# pam	PAM authentication (note: for Linux, you should use the "lnp" port
#	 instead of setting this...also, you may have to modify PAMLDFLAGS
#	 in the imap-[]/src/osdep/unix/Makefile
# pmb	PAM authentication for broken implementations such as Solaris.
#	 you may have to modify PAMLDFLAGS
# std	system standard (typically passwd file), determined by port
# two	try alternative (defined by CHECKPWALT), then std

PASSWDTYPE=std


# SSL type.  Defines whether or not SSL support is on this system
#
# The following SSL types are bundled:
# none	no SSL support
# unix	SSL support using OpenSSL
# nopwd	SSL support using OpenSSL, and plaintext authentication permitted only
#	in SSL/TLS sessions
# sco	link SSL before other libraries (for SCO systems)
# unix.nopwd	same as nopwd
# sco.nopwd	same as nopwd, plaintext authentication in SSL/TLS only
#
# SSLTYPE=nopwd is now the default as required by RFC 3501

SSLTYPE=nopwd


# IP protocol version
#
# The following IP protocol versions are defined:
# 4	(default) IPv4 support only
# 6	IPv6 and IPv4 support

IP=4
IP6=6


# The following extra compilation flags are defined.  None of these flags are
# recommended.  If you use these, include them in the EXTRACFLAGS.
#
# -DDISABLE_POP_PROXY
#	By default, the ipop[23]d servers offer POP->IMAP proxy access,
#	which allow a POP client to access mail on an IMAP server by using the
#	POP server as a go-between.  Setting this option disables this
#	facility.
#
# -DOLDFILESUFFIX=\"xxx\"
#	Change the default suffix appended to the backup .newsrc file from
#	"old".
#
# -DSTRICT_RFC822_TIMEZONES
#	Disable recognition of the non-standard UTC (0000), MET (+0100),
#	EET (+0200), JST (+0900), ADT (-0300), AST (-0400), YDT (-0800),
#	YST (-0900), and HST (-1000) symbolic timezones.
#
# -DBRITISH_SUMMER_TIME
#	Enables recognition of non-standard symbolic timezone BST as +0100.
#
# -DBERING_STANDARD_TIME
#	Enables recognition of non-standard symbolic timezone BST as -1100.
#
# -DNEWFOUNDLAND_STANDARD_TIME
#	Enables recognition of non-standard symbolic timezone NST as -0330.
#
# -DNOME_STANDARD_TIME
#	Enables recognition of non-standard symbolic timezone NST as -1100.
#
# -DSAMOA_STANDARD_TIME
#	Enables recognition of non-standard symbolic timezone SST as -1100.
#				
# -DY4KBUGFIX
#	Turn on the Y4K bugfix (yes, that's year 4000).  It isn't well-known,
#	but century years evenly divisible by 4000 are *not* leap years in the
#	Gregorian calendar.  A lot of "Y2K compilant" software does not know
#	about this rule.  Remember to turn this on sometime in the next 2000
#	years.
#
# -DUSEORTHODOXCALENDAR
#	Use the more accurate Eastern Orthodox calendar instead of the
#	Gregorian calendar.  The century years which are leap years happen
#	at alternating 400 and 500 year intervals without shifts every 4000
#	years.  The Orthodox and Gregorian calendars diverge by 1 day for
#	gradually-increasing intervals, starting at 2800-2900, and becoming
#	permanent at 48,300.
#
# -DUSEJULIANCALENDAR
#	Use the less accurate Julian calendar instead of the Gregorian
#	calendar.  Leap years are every 4 years, including century years.
#	My apologies to those in the English-speaking world who object to
#	the reform of September 2, 1752 -> September 14, 1752, since this
#	code still uses January 1 (which Julius Ceasar decreed as the start
#	of the year, which since 153 BCE was the day that Roman consuls
#	took office), rather than the traditional March 25 used by the
#	British.  As of 2005, the Julian calendar and the Gregorian calendar
#	diverge by 15 days.

EXTRACFLAGS=


# Extra linker flags (additional/alternative libraries, etc.)

EXTRALDFLAGS=


# Special make flags (e.g. to override make environment variables)

EXTRASPECIALS=
SPECIALS=


# Normal commands

CAT=cat
CD=cd
LN=ln -s
MAKE=make
MKDIR=mkdir
BUILDTYPE=rebuild
RM=rm -rf
SH=sh
SYSTEM=unix
TOOLS=tools
TOUCH=touch


# Primary build command

BUILD=$(MAKE) build EXTRACFLAGS='$(EXTRACFLAGS)'\
 EXTRALDFLAGS='$(EXTRALDFLAGS)'\
 EXTRADRIVERS='$(EXTRADRIVERS)'\
 EXTRAAUTHENTICATORS='$(EXTRAAUTHENTICATORS)'\
 PASSWDTYPE=$(PASSWDTYPE) SSLTYPE=$(SSLTYPE) IP=$(IP)\
 EXTRASPECIALS='$(EXTRASPECIALS)'


# Make the IMAP Toolkit

all:	c-client SPECIALS rebuild bundled

c-client:
	@echo Not processed yet.  In a first-time build, you must specify
	@echo the system type so that the sources are properly processed.
	@false


SPECIALS:
	echo $(SPECIALS) > SPECIALS

# Note on SCO you may have to set LN to "ln".

a32 a41 a52 aix bs3 bsi d-g d54 do4 drs epx ga4 gas gh9 ghp ghs go5 gsc gsg gso gul h11 hpp hpx lnp lyn mct mnt nec nto nxt nx3 osf os4 ptx qnx qn6 sc5 sco sgi sg6 shp sl4 sl5 slx snx soc sol sos uw2: an
	$(BUILD) BUILDTYPE=$@

# If you use sv4, you may find that it works to move it to use the an process.
# If so, you probably will want to delete the "-Dconst=" from the sv4 CFLAGS in
# the c-client Makefile.

aos art asv aux bsd cvx dpx dyn isc pyr sv4 ult vul vu2: ua
	$(BUILD) BUILDTYPE=$@


# Knotheads moved Kerberos and SSL locations on these platforms

# Paul Vixie claims that all FreeBSD versions have working IPv6

bsf:	an
	$(TOUCH) ip6
	$(BUILD) BUILDTYPE=$@ IP=$(IP6) \
	PASSWDTYPE=pam \
	SPECIALS="GSSINCLUDE=/usr/include GSSLIB=/usr/lib PAMLDFLAGS=-lpam"

# I assume that Theo did the right thing for IPv6.  OpenBSD does not have PAM.

bso:	an
	$(TOUCH) ip6
	$(BUILD) BUILDTYPE=$@ IP=$(IP6) \
	SPECIALS="GSSINCLUDE=/usr/include GSSLIB=/usr/lib"

# Info from Joel Reicher about NetBSD SSL paths.  I assume it has PAM because pam is in NetBSD sources...

neb:	an
	$(TOUCH) ip6
	$(BUILD) BUILDTYPE=$@ IP=$(IP6) \
	PASSWDTYPE=pam \
	SPECIALS="GSSINCLUDE=/usr/include GSSLIB=/usr/lib PAMLDFLAGS=-lpam"

cyg:	an
	$(BUILD) BUILDTYPE=cyg \

gcs:	an
	$(BUILD) BUILDTYPE=gso \
	SPECIALS="SSLINCLUDE=/opt/csw/include/openssl SSLLIB=/opt/csw/lib SSLCERTS=/opt/csw/ssl/certs SSLKEYS=/opt/csw/ssl/certs"

ldb:	an
	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
	SPECIALS="GSSINCLUDE=/usr/include GSSLIB=/usr/lib MAILSPOOL=/var/mail"

lfd:	an
	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
	SPECIALS="GSSDIR=/usr/kerberos"

ln8:	an
	$(TOUCH) ip6
	$(BUILD) BUILDTYPE=slx IP=$(IP6) \
	SPECIALS="MAILSPOOL=/var/mail"


# RHEL5/6 does not have the IPv6 bug

lr5:	an
	$(TOUCH) ip6
	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
	SPECIALS="GSSDIR=/usr/kerberos"

lmd:	an
	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
	SPECIALS="GSSINCLUDE=/usr/include GSSLIB=/usr/lib"

# RHEL3 definitely has the IPv6 bug

lrh:	lrhok an
	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
	SPECIALS="GSSDIR=/usr/kerberos"

lrhok:
	@$(SH) -c '(test ! -d /etc/pki/tls ) || make lrhwarn'
	@$(TOUCH) lrhok

lrhwarn:
	@echo You are building for OLD versions of RedHat Linux.  This build
	@echo is NOT suitable for RedHat Enterprise 5 / 6, which store SSL/TLS
	@echo certificates and keys in /etc/pki/tls rather than /usr/share/ssl.
	@echo If you want to build for modern RedHat Linux, you should use
	@echo make lr5 instead.

=== regex/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# regex/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# ========================================================================
# Copyright 2006-2007 University of Washington
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# ========================================================================


pkgdatadir = $(datadir)/alpine
pkgincludedir = $(includedir)/alpine
pkglibdir = $(libdir)/alpine
pkglibexecdir = $(libexecdir)/alpine
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-suse-linux-gnu
host_triplet = x86_64-suse-linux-gnu
subdir = regex
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_pthread.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/VERSION \
	$(top_srcdir)/VERSION $(top_srcdir)/VERSION \
	$(top_srcdir)/VERSION $(top_srcdir)/VERSION \
	$(top_srcdir)/VERSION $(top_srcdir)/VERSION \
	$(top_srcdir)/VERSION $(top_srcdir)/VERSION \
	$(top_srcdir)/VERSION $(top_srcdir)/VERSION \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LIBRARIES = $(noinst_LIBRARIES)
ARFLAGS = cru
libregex_a_AR = $(AR) $(ARFLAGS)
libregex_a_LIBADD =
am_libregex_a_OBJECTS = regcomp.$(OBJEXT) regerror.$(OBJEXT) \
	regexec.$(OBJEXT) regfree.$(OBJEXT)
libregex_a_OBJECTS = $(am_libregex_a_OBJECTS)
DEFAULT_INCLUDES = 
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libregex_a_SOURCES)
DIST_SOURCES = $(libregex_a_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /run/media/echappa/Work/alpine/alpinegit/missing aclocal-1.13
AMTAR = $${TAR-tar}
AM_CFLAGS =  -g
AM_LDFLAGS = 
AR = /usr/bin/ar
AUTOCONF = ${SHELL} /run/media/echappa/Work/alpine/alpinegit/missing autoconf
AUTOHEADER = ${SHELL} /run/media/echappa/Work/alpine/alpinegit/missing autoheader
AUTOMAKE = ${SHELL} /run/media/echappa/Work/alpine/alpinegit/missing automake-1.13
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CP = /usr/bin/cp
CPP = gcc -E
CPPFLAGS = -I/usr/include/openssl  -I/regex
CYGPATH_W = echo
C_CLIENT_CFLAGS = EXTRACFLAGS=" -DTLSV1_2 -I/usr/include/openssl  -I/regex -g -O2"
C_CLIENT_GCCOPTLEVEL = 
C_CLIENT_LDFLAGS = EXTRALDFLAGS=" -L/usr/lib  -L/regex -lgssapi_krb5 -lpam -lcrypto -lssl -ldl  -ltinfo -lpam -lkrb5"
C_CLIENT_SPECIALS = SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLDIR=/etc/ssl SSLCERTS=/etc/ssl/certs SSLKEYS=/etc/ssl/private 
C_CLIENT_TARGET = lsu
C_CLIENT_WITH_IPV6 = touch imap/ip6
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
ISPELLPROG = 
Includedir = @Includedir@
LD = /usr/x86_64-suse-linux/bin/ld -m elf_x86_64
LDFLAGS = -L/usr/lib  -L/regex
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = -lgssapi_krb5 -lpam -lcrypto -lssl -ldl  -ltinfo -lpam -lkrb5
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LIPO = 
LN = /usr/bin/ln
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
MAINT = #
MAKE = /usr/bin/make
MAKEINFO = ${SHELL} /run/media/echappa/Work/alpine/alpinegit/missing makeinfo
MKDIR_P = /usr/bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = :
NM = /usr/bin/nm -B
NMEDIT = 
NPA_PROG = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = alpine
PACKAGE_BUGREPORT = chappa@washington.edu
PACKAGE_NAME = alpine
PACKAGE_STRING = alpine 2.20.13
PACKAGE_TARNAME = alpine
PACKAGE_URL = 
PACKAGE_VERSION = 2.20.13
PATH_SEPARATOR = :
POSUB = po
PTHREAD_CC = gcc
PTHREAD_CFLAGS = 
PTHREAD_LIBS = 
PWPROG = /usr/bin/passwd
RANLIB = ranlib
REGEX_BUILD = regex
RM = /usr/bin/rm
SED = /usr/bin/sed
SENDMAIL = /usr/sbin/sendmail
SET_MAKE = 
SHELL = /bin/sh
SPELLPROG = spell
STRIP = strip
USE_NLS = yes
VERSION = 2.20.13
WEB_BINDIR = 
WEB_BUILD = 
WEB_PUBCOOKIE_BUILD = 
WEB_PUBCOOKIE_LIB = 
WEB_PUBCOOKIE_LINK = 
XGETTEXT = :
XGETTEXT_015 = :
abs_builddir = /run/media/echappa/Work/alpine/alpinegit/regex
abs_srcdir = /run/media/echappa/Work/alpine/alpinegit/regex
abs_top_builddir = /run/media/echappa/Work/alpine/alpinegit
abs_top_srcdir = /run/media/echappa/Work/alpine/alpinegit
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
acx_pthread_config = no
alpine_interactive_spellcheck = 
alpine_simple_spellcheck = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-suse-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = suse
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-suse-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = suse
htmldir = ${docdir}
infodir = ${datarootdir}/info
install_sh = ${SHELL} /run/media/echappa/Work/alpine/alpinegit/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datadir}/locale
localstatedir = ${prefix}/var
lt_ECHO = @lt_ECHO@
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldIncludedir = @oldIncludedir@
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
noinst_LIBRARIES = libregex.a
libregex_a_SOURCES = regcomp.c regerror.c regexec.c regfree.c
AM_CPPFLAGS = -I../include -I../include
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign regex/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign regex/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libregex.a: $(libregex_a_OBJECTS) $(libregex_a_DEPENDENCIES) 
	-rm -f libregex.a
	$(libregex_a_AR) libregex.a $(libregex_a_OBJECTS) $(libregex_a_LIBADD)
	$(RANLIB) libregex.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/regcomp.Po
include ./$(DEPDIR)/regerror.Po
include ./$(DEPDIR)/regexec.Po
include ./$(DEPDIR)/regfree.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \

=== imap/tools/Makefile ===
# ========================================================================
# Copyright 1988-2006 University of Washington
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# 
# ========================================================================

# Program:	Tools Makefile
#
# Author:	Mark Crispin
#		Networks and Distributed Computing
#		Computing & Communications
#		University of Washington
#		Administration Building, AG-44
#		Seattle, WA  98195
#		Internet: MRC@CAC.Washington.EDU


CC=cc
RM=rm -f


uahelper:
	$(CC) -o uahelper uahelper.c $(LDFLAGS)

clean:
	sh -c '$(RM) *.o uahelper || true'

# A monument to a hack of long ago and far away...
love:
	@echo 'not war?'

=== web/src/alpined.d/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# web/src/alpined.d/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# ========================================================================
# Copyright 2006 University of Washington
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# ========================================================================



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/alpine
pkgincludedir = $(includedir)/alpine
pkglibdir = $(libdir)/alpine
pkglibexecdir = $(libexecdir)/alpine
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
locbin_PROGRAMS = alpined$(EXEEXT) alpineldap$(EXEEXT)
subdir = web/src/alpined.d
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_pthread.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/VERSION \
	$(top_srcdir)/VERSION $(top_srcdir)/VERSION \
	$(top_srcdir)/VERSION $(top_srcdir)/VERSION \
	$(top_srcdir)/VERSION $(top_srcdir)/VERSION \
	$(top_srcdir)/VERSION $(top_srcdir)/VERSION \
	$(top_srcdir)/VERSION $(top_srcdir)/VERSION \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(loclibdir)" "$(DESTDIR)$(locbindir)"
LTLIBRARIES = $(loclib_LTLIBRARIES)
libwpcomm_la_LIBADD =
am_libwpcomm_la_OBJECTS = wpcomm.lo
libwpcomm_la_OBJECTS = $(am_libwpcomm_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libwpcomm_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libwpcomm_la_LDFLAGS) $(LDFLAGS) -o $@
PROGRAMS = $(locbin_PROGRAMS)
am_alpined_OBJECTS = alpined.$(OBJEXT) busy.$(OBJEXT) color.$(OBJEXT) \
	imap.$(OBJEXT) ldap.$(OBJEXT) remote.$(OBJEXT) \
	signal.$(OBJEXT) debug.$(OBJEXT) status.$(OBJEXT) \
	stubs.$(OBJEXT)
alpined_OBJECTS = $(am_alpined_OBJECTS)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 = local.o ../../../pith/libpith.a \
	../../../pith/osdep/libpithosd.a \
	../../../pith/charconv/libpithcc.a \
	../../../c-client/c-client.a $(am__DEPENDENCIES_1)
alpined_DEPENDENCIES = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1)
am_alpineldap_OBJECTS = alpineldap.$(OBJEXT) busy.$(OBJEXT) \
	color.$(OBJEXT) imap.$(OBJEXT) ldap.$(OBJEXT) remote.$(OBJEXT) \
	signal.$(OBJEXT) debug.$(OBJEXT) status.$(OBJEXT) \
	stubs.$(OBJEXT)
alpineldap_OBJECTS = $(am_alpineldap_OBJECTS)
alpineldap_DEPENDENCIES = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = 
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libwpcomm_la_SOURCES) $(alpined_SOURCES) \
	$(alpineldap_SOURCES)
DIST_SOURCES = $(libwpcomm_la_SOURCES) $(alpined_SOURCES) \
	$(alpineldap_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
	$(top_srcdir)/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/alpine-2.21/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_CFLAGS =  -g -pthread
AM_DEFAULT_VERBOSITY = 1
AM_LDFLAGS = `cat ../../../c-client/LDFLAGS`
AR = /usr/bin/ar
AUTOCONF = ${SHELL} /tmp/alpine-2.21/missing autoconf
AUTOHEADER = ${SHELL} /tmp/alpine-2.21/missing autoheader
AUTOMAKE = ${SHELL} /tmp/alpine-2.21/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CP = /usr/bin/cp
CPP = gcc -E
CPPFLAGS = -I/usr/include 
CYGPATH_W = echo
C_CLIENT_CFLAGS = EXTRACFLAGS=" -DTLSV1_2 -I/usr/include  -g -O2"
C_CLIENT_GCCOPTLEVEL = 
C_CLIENT_LDFLAGS = EXTRALDFLAGS=" -L/usr/lib   -ltcl8.6 -lgssapi_krb5 -lpam -lldap -lssl -lcrypto -ldl  -ltinfo -llber -lpam -lkrb5"
C_CLIENT_SPECIALS = SSLDIR=/usr SSLCERTS=/etc/ssl/certs EXTRAAUTHENTICATORS=gss 
C_CLIENT_TARGET = lnp
C_CLIENT_WITH_IPV6 = touch imap/ip6
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
ISPELLPROG = aspell
LD = /usr/x86_64-suse-linux/bin/ld -m elf_x86_64
LDFLAGS = -L/usr/lib 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS =  -ltcl8.6 -lgssapi_krb5 -lpam -lldap -lssl -lcrypto -ldl  -ltinfo -llber -lpam -lkrb5
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LIPO = 
LN = /usr/bin/ln
LN_S = ln -s
LS = /usr/bin/ls
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAKE = /usr/bin/make
MAKEINFO = ${SHELL} /tmp/alpine-2.21/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
NPA_PROG = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = alpine
PACKAGE_BUGREPORT = chappa@washington.edu
PACKAGE_NAME = alpine
PACKAGE_STRING = alpine 2.21
PACKAGE_TARNAME = alpine
PACKAGE_URL = 
PACKAGE_VERSION = 2.21
PATH_SEPARATOR = :
POSUB = po
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
PWPROG = /usr/bin/passwd
RANLIB = ranlib
REGEX_BUILD = 
RM = /usr/bin/rm
SED = /usr/bin/sed
SENDMAIL = /usr/sbin/sendmail
SET_MAKE = 
SHELL = /bin/sh
SPELLPROG = aspell
STRIP = strip
USE_NLS = yes
VERSION = 2.21
WEB_BINDIR = 
WEB_BUILD = 
WEB_PUBCOOKIE_BUILD = 
WEB_PUBCOOKIE_LIB = 
WEB_PUBCOOKIE_LINK = 
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext

=== debian/changelog ===
alpine (2.21+dfsg1-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:20:53 +0000

alpine (2.21+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.21+dfsg1 (Closes: #862952)
    - Refresh patches.
  * Bump Standards-Version to 4.1.1.
  * Run wrap-and-sort -s.
  * d/control, d/watch: Update homepage to alpine.freeiz.com.
  * d/control, d/compat: Use debhelper compat 10.
  * d/control:
    - Switch to https in Vcs-*.
    - Mark alpine-doc as Multi-Arch foreign.
    - Drop requirement of libssl-dev to be 1.0. (Closes: #851054)
    - Drop explicit build-depend on auto(conf,make), dh-autoreconf and libtool.
    - Drop priority: extra from alpine-pico.
  * d/rules:
    - sha256sums no longer published, move to md5sums and update for 2.21.
    - Move from dh_install --list-missing to dh_missing --fail-missing.
    - Move installdocs override to installdocs-indep.
    - Only override dh_auto_configure with non-default options.
    - Don't verify files are there before moving, we should error out if not.
    - Drop obsolete --with autoreconf.
  * Merge d/p/30_fix_man_page_hardcoded_paths.patch and
    d/p/40_fix_filter_hardcoded_paths.patch into d/p/10_config2etc.patch.
  * Add descriptions to all patches.
  * d/control, d/p/95_cross.patch, d/rules: Fix FTCBFS.
    Thanks to Helmut Grohne for the initial patch. (Closes: #876164)
  * d/s/lintian-overrides: js file has long lines, but is sourceful.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 13 Nov 2017 17:09:24 -0500

alpine (2.20+dfsg1-7) unstable; urgency=medium

  * Make the build reproducible. Thanks Chris Lamb. (Closes: #791923)

 -- Asheesh Laroia <asheesh@asheesh.org>  Tue, 20 Dec 2016 00:23:45 -0800

alpine (2.20+dfsg1-6) unstable; urgency=medium

  * Adjust the order of build-depends so the unstable buildds can build it.
    (Closes: #848848)

 -- Asheesh Laroia <asheesh@asheesh.org>  Tue, 20 Dec 2016 00:20:50 -0800

alpine (2.20+dfsg1-5) unstable; urgency=medium

  * Use automatic debug packages, per https://wiki.debian.org/AutomaticDebugPackages .

 -- Asheesh Laroia <asheesh@asheesh.org>  Fri, 16 Dec 2016 18:22:39 -0800

alpine (2.20+dfsg1-4) unstable; urgency=medium

  * Adjust libssl dependencies to be backportable. Thanks to Unit193 for
    explaining this to me.

 -- Asheesh Laroia <asheesh@asheesh.org>  Fri, 16 Dec 2016 18:22:39 -0800

alpine (2.20+dfsg1-3) unstable; urgency=medium

  * Adjust libssl dependencies to use 1.0.x. (Closes: #828231)
    Thanks to Adrian Bunk for the patch!

 -- Asheesh Laroia <asheesh@asheesh.org>  Fri, 16 Dec 2016 15:50:34 -0800

=== debian/control ===
Source: alpine
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Asheesh Laroia <asheesh@asheesh.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Luke Faraone <lfaraone@debian.org>,
 Unit 193 <unit193@ubuntu.com>
Build-Depends:
 aspell,
 autoconf-archive,
 ca-certificates,
 debhelper (>= 10),
 dpkg-dev (>= 1.16.1~),
 libkrb5-dev,
 libldap2-dev,
 libncurses-dev,
 libpam0g-dev,
 libssl-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/alpine.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/alpine.git
Homepage: http://alpine.freeiz.com/alpine/

Package: alpine
Architecture: any
Depends: mlock, ${misc:Depends}, ${shlibs:Depends}
Recommends: alpine-doc
Suggests: aspell, mail-transport-agent | exim4
Conflicts: pine
Replaces: pine
Description: Text-based email client, friendly for novices but powerful
 Alpine is an upgrade of the well-known PINE email client.  Its name derives
 from the use of the Apache License and its ties to PINE.
 .
 It features a full suite of support for mail protocols like IMAP and SMTP and
 security protocols like TLS.  It uses curses for its interface.

Package: alpine-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: alpine
Description: Text-based email client's documentation
 Alpine is an upgrade of the well-known PINE email client.  Its name derives
 from the use of the Apache License and its ties to PINE.
 .
 This package stores documentation for alpine.

Package: alpine-pico
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: editors
Description: Simple text editor from Alpine, a text-based email client
 "pico" is a simple but powerful text editor.  It was originally the pine
 composer,  the editor used by the pine email client for writing email messages.
 .
 It has gained popularity since its initial use in that context and is now used
 as a stand-alone editor by many users.
 .
 It is similar to but less powerful than GNU Nano, an editor created with the
 pico interface when the pico license was non-free.

Package: pilot
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple file browser from Alpine, a text-based email client
 "pilot" is a simple file browser from Alpine.  It is used in Alpine to
 let the user select attachments.  As with (Al)pine, commands are displayed
 at the bottom of the screen, and context-sensitive help is provided.
 .
 As a stand-alone program, it is useful as a basic file browser, filling the
 same utility as programs like the midnight commander.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for alpine

# Used in get-orig-source, upstreams tarball.
MD5SUM=02dad85c1be80ce020206f222ecf5ac8

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -- --with-system-pinerc=/etc/pine.conf \
			     --with-system-fixed-pinerc=/etc/pinerc.fixed \
			     --with-passfile=.pine-passfile \
			     --with-smtp-msa=/usr/sbin/sendmail \
			     --with-debug-level=0 \
			     --without-tcl \
			     --with-krb5 \
			     --with-krb5-dir=/usr

override_dh_auto_build:
	# force cross compilers onto make as they are not propagated from configure
	dh_auto_build --buildsystem=makefile

override_dh_install-arch:
	dh_install --arch
	# Rename pico to pico.alpine.
	# alpine-pico.install puts this in the alpine-pico package.
	mv debian/alpine-pico/usr/bin/pico debian/alpine-pico/usr/bin/pico.alpine

override_dh_installdocs-indep:
	dh_installdocs --indep
	# Change /usr/local/ config paths to /etc
	sed -i  -e s@/usr/local/lib/pine@/etc/pine@g \
		-e s@/usr/local/pine@/etc/pine@g \
		debian/alpine-doc/usr/share/doc/alpine-doc/tech-notes/*

override_dh_installman-arch:
	dh_installman --arch
	mv debian/alpine-pico/usr/share/man/man1/pico.1 debian/alpine-pico/usr/share/man/man1/pico.alpine.1

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='alpine-dbg (<< 2.20+dfsg1-5~)'

override_dh_clean:
	dh_clean -Xinclude/config.h.in~ -Xweb/cgi/alpine/2.0/img/cbn/msglist.gif.bak

%:
	dh $@

# get-orig-source to drop dlls and exe files, fix license-problem-non-free-RFC-BCP78.
upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)+dfsg1
pkg = alpine

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	# Check md5sum against known good hash.
	md5sum $(pkg)_$(upstream_version).orig.tar.xz | grep -q $(MD5SUM)
	tar -xf $(pkg)_$(upstream_version).orig.tar.xz
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	## No obvious source code, not needed to build.
	cd $(pkg)-$(dfsg_version) ; rm -rf ldap/binaries/
	cd $(pkg)-$(dfsg_version) ; rm -f alpine/ldap32.dll
	## source-contains-unsafe-symlink
	cd $(pkg)-$(dfsg_version) ; rm -f web/detach web/bin/tclsh web/cgi/detach
	## http://wiki.debian.org/NonFreeIETFDocuments
	cd $(pkg)-$(dfsg_version) ; rm -rf imap/docs/draft/ imap/docs/rfc/
	XZ_OPT="-f6" tar -Jcf $(pkg)_$(dfsg_version).orig.tar.xz $(pkg)-$(dfsg_version)
	rm -rf $(pkg)-$(dfsg_version)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*// \
http://alpine.freeiz.com/alpine/release/index.html  src/alpine-([\d\.]+)\.tar\.xz

## alpine 2.21.1

=== debian/changelog ===
alpine (2.21.1-1+security) unstable; urgency=medium

  * update

 -- Asheesh Laroia <asheesh@asheesh.org>  Thu, 24 Jun 2021 14:34:25 +0800

alpine (2.21+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Andreas Tille ]
  * Fix homepage
  * Fix watch file
  * Remove myself from Uploaders
  * Install Apache NOTICE file

 -- Andreas Tille <tille@debian.org>  Sat, 12 Jan 2019 07:42:50 +0100
